Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine.pool
Class OrderProperty

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.pool.OrderProperty

Deprecated See BEA Commerce product offering

    @Deprecated
    public class OrderProperty

extends Object

Immutable object.

Field Summary
`static String` | `cName` Deprecated See BEA Commerce product offering

Constructor Summary
`OrderProperty(OrderAttribute attribute, Operator op, Money value)` Deprecated See BEA Commerce product offering

Method Summary
`OrderAttribute` | `getAttribute()` Deprecated See BEA Commerce product offering
`Operator` | `getOperator()` Deprecated See BEA Commerce product offering
`Money` | `getValue()` Deprecated See BEA Commerce product offering
`String` | `toString()` Deprecated See BEA Commerce product offering
`static String` | `toString(List list)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cName

    public static final String cName

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

Constructor Detail

### OrderProperty

    public OrderProperty(OrderAttribute attribute,
                         Operator op,
                         Money value)

  Deprecated See BEA Commerce product offering

Method Detail

### getAttribute

    public OrderAttribute getAttribute()

  Deprecated See BEA Commerce product offering

### getOperator

    public Operator getOperator()

  Deprecated See BEA Commerce product offering

### getValue

    public Money getValue()

  Deprecated See BEA Commerce product offering

### toString

    public String toString()

  Deprecated See BEA Commerce product offering

  Overrides:
    `toString` in class `Object`

### toString

    public static String toString(List list)

  Deprecated See BEA Commerce product offering

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved